WEBINARLive webinar: Terraform in Buddy, Oct 21st.Terraform: plan, approve, apply with state in Buddy. Live on October 21st.Save your seat

Update user

View as Markdown
  • PATCH
  • /user

Updates the authorized user

Request

REQUIRED SCOPES
USER_WRITE
BODY PARAMETERS
namestring
The name of the user

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
idinteger
The ID of the user
namestring
The name of the user
usernamestring
The unique username of the user
avatar_urlstring
The avatar URL of the user
emailstring
The email address of the user
workspaces_urlstring
The workspaces URL of the user

Last modified on Apr 22, 2026

Request example

curl -X PATCH "https://api.buddy.works/user" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json" \ -d '{ "name": "John Doe" }'